<?php
$readmore_text_color = $this->options->readmore_text_color;
$readmore_text_backgroud_color = $this->options->readmore_text_backgroud_color;

$scroll_text_backgroud_color = $this->options->scroll_text_backgroud_color;

$related_text_color = $this->options->related_text_color;
$related_text_backgroud_color = $this->options->related_text_backgroud_color;
$related_link_text_color = $this->options->related_link_text_color;


$readmore_margin_top = $this->options->readmore_margin_top;
switch ($readmore_margin_top)
{
default:
case 'A':
	$readmore_margin_top = '80px';
	break;
case 'B':
	$readmore_margin_top = '120px';
	break;
case 'C':
	$readmore_margin_top = '160px';
	break;
}


$readmore_margin_bottom = $this->options->readmore_margin_bottom;
switch ($readmore_margin_bottom)
{
default:
case 'A':
	$readmore_margin_bottom = '40px';
	break;
case 'B':
	$readmore_margin_bottom = '80px';
	break;
case 'C':
	$readmore_margin_bottom = '120px';
	break;
}




?>
<style id='ad-rpm-booster-style-inline-css' type='text/css'>
.related-link-item {
	margin-bottom: 4px;
	clear: both;
}

.related-link-item span {
	margin-right: 5px;
	padding: 1px 5px 1px;
	color: <?php echo sanitize_hex_color( $related_text_color ); ?>;
	background-color: <?php echo sanitize_hex_color( $related_text_backgroud_color ); ?>;
	border-radius: 3px;
	float: left;
	font-size: 11px;
	line-height: 1.5em;
}

.related-link-item a {
	white-space: nowrap;
	text-overflow: ellipsis;
	display: block;
	overflow: hidden;
	font-size: 13px;
	color: <?php echo sanitize_hex_color( $related_link_text_color ); ?>;
	line-height: 1.6em;
}



.scrollUnit01 {
	font-weight: bold;
}

.scrollUnit01 span {
	background-color: <?php echo sanitize_hex_color( $scroll_text_backgroud_color ); ?>;
}



.entry-read {
	text-align: center;
	margin: 15px 0 15px;
}

.entry-read .entry-read-link {
	background: #f4a722;
	border-radius: 3px;
	color: #ffffff;
	text-decoration: none;
	padding: 15px 65px;
	display: inline-block;
	line-height: 1em;
}


.ad-space {
	margin: 30px auto 20px;
	max-width: 336px;
	text-align: center;
	clear: both;
}



.readmoreBox {
	margin-top: <?php echo $readmore_margin_top; ?>;
	margin-bottom: <?php echo $readmore_margin_bottom; ?>;
	padding: 10px;
	text-align: center;
}

.readmoreBox .readmoreBtn {
	display: inline-block;
	cursor: pointer;
	width: 50%;
	border-radius: 7px;
	font-weight: normal;
	color: <?php echo sanitize_hex_color( $readmore_text_color ); ?>;
	background-color: <?php echo sanitize_hex_color( $readmore_text_backgroud_color ); ?>;
	text-decoration: none;
	padding: 12px 15px;
}





.page-text::before {
	content: "\A" ;
	white-space: pre ;
}
.page-links {
	padding: 10px;
	text-align: center
}

.page-links .readmoreBtn {
	color: <?php echo sanitize_hex_color( $readmore_text_color ); ?>;
	background-color: <?php echo sanitize_hex_color( $readmore_text_backgroud_color ); ?>;
	width: 50%;
	border-radius: 7px;
	font-weight: bold;
	text-decoration: none;
	padding: 12px 15px;
	display: inline-block;
	line-height: 1em;
	font-size: 16px;
}

.page-links .readmoreBtnDisabled {
	text-decoration: none;
	padding: 15px 65px;
	display: inline-block;
	line-height: 1em;
	width: 50%;
	border-radius: 7px;
	color: #b3b3b3;
	font-weight: normal;
	background: #e5e5e5;
	text-decoration: none;
	padding: 12px 10px;
}



.page-links_t {
	margin: 2px;
	width: 10px;
	padding: 7px 16px;
	font-size: 18px;
	display: inline-block;
	background: #293524;
	color: #FFF;
}

a .page-links_t {
	background: #fff;
	color: #293524;
	font-weight: normal
}


.fixHeight {
	height: 0px;
	overflow: hidden;
    position: relative;
}



</style>