(function (window, $, undefined) {
	"use strict";

	console.log('Hello. admin, ad-rpm-booster.');

	$( "#tabs" ).tabs();




	$('.ads_code_for_user .ads_code_user_select').change(function(){
		var user_id = $(this).val();

		$('.ads_code_for_user .ads_code_user_text_box .ads_code_user_text[data-user-id=' + user_id + ']').show()
			.siblings().hide();
	}).change();




	$('.chk_b_activate').change(function(){
		if ($(this).prop('checked'))
		{
			$('.switch_b_activate_true').fadeIn();
		}
		else
		{
			$('.switch_b_activate_true').fadeOut();
		}
	}).change();



	function showBlockCtrl(){
		$('.fadeIn').removeClass('fadeIn');
		$('.fadeOut').removeClass('fadeOut');

		if ($('.chk_show_setting_detail_block').prop('checked'))
		{
			$('.SettingDetailBlock').addClass('fadeIn');
		}
		else
		{
			$('.SettingDetailBlock').addClass('fadeOut');
		}


		switch ($('.rdo_flg_view_ctrl:checked').val())
		{
		case 'T':
			$('.switch_flg_view_ctrl_t').addClass('fadeIn');
			$('.switch_flg_view_ctrl_d').addClass('fadeOut');
			break;
		case 'D':
			$('.switch_flg_view_ctrl_t').addClass('fadeIn');
			$('.switch_flg_view_ctrl_d').addClass('fadeIn');
			break;
		case 'F':
			$('.switch_flg_view_ctrl_t').addClass('fadeOut');
			$('.switch_flg_view_ctrl_d').addClass('fadeOut');
			break;
		}



		$('.fadeIn.fadeOut').removeClass('fadeIn');

		$('.fadeIn').fadeIn();
		$('.fadeOut').fadeOut();
	}



	$('.chk_show_setting_detail_block').change(function(){
		showBlockCtrl();
		return false;
	}).change();


	$('.rdo_flg_view_ctrl').click(function(){
		showBlockCtrl();
	});
	$('.rdo_flg_view_ctrl:checked').click();




	$('[name="ad_rpm_booster[scroll_text_style_set]"]').click(function(){
		var item = $(this).closest('label').find('.scrollTextBox span');
		var bgcolor = rgb2hex( item.css('backgroundColor') );

		$('[name="ad_rpm_booster[scroll_text_backgroud_color]"]').val(bgcolor);
	});




	$('[name="ad_rpm_booster[related_text_style_set]"]').click(function(){
		var item = $(this).closest('label').find('.related-link-item');

		var color = rgb2hex( item.find('span').css('color') );
		var bgcolor = rgb2hex( item.find('span').css('backgroundColor') );

		var color2 = rgb2hex( item.find('a').css('color') );

		$('[name="ad_rpm_booster[related_text_color]"]').val(color);
		$('[name="ad_rpm_booster[related_text_backgroud_color]"]').val(bgcolor);

		$('[name="ad_rpm_booster[related_link_text_color]"]').val(color2);
	});




	$('[name="ad_rpm_booster[readmore_text_style_set]"]').click(function(){
		var item = $(this).closest('label').find('.readmoreBtn');

		var color = rgb2hex( item.css('color') );
		var bgcolor = rgb2hex( item.css('backgroundColor') );

		$('[name="ad_rpm_booster[readmore_text_color]"]').val(color);
		$('[name="ad_rpm_booster[readmore_text_backgroud_color]"]').val(bgcolor);
	});





	$('.showHelpBtn').click(function(){
		$('.help-box').remove();

		var help_id = $(this).attr('href');
		var help_box_html = $(help_id).html();
		var item = $(this).closest('tr');

		item.after('<tr valign="top" class="help-box" style="display:none;"><td colspan="2"></td></tr>');

		$('.help-box td').html(help_box_html);
		$('.help-box').fadeIn(500);

		$('body,html').animate({scrollTop: item.offset().top - 60}, 300, 'swing');
		return false;
	});


	$('#ad_rpm_booster_form').on('click', '.hideHelpBtn', function(){
		var pos_top = $(this).closest('tr').prev().offset().top - 60;
		$('.help-box').fadeOut(500);

		$('body,html').animate({scrollTop: pos_top}, 300, 'swing');
		return false;
	});



	$('.showMessageBtn').click(function(){
		$(this).closest('td').find('.helpMessage').fadeToggle();
		return false;
	});



	// --------------------------------------------
	// WPテーマ情報
	// --------------------------------------------
	const wp_theme_setting = {

/*
		// sample
		'sample': {
			'themeName': 'sample',
			'contentSelector': 'sample',
			'itemSelector': 'sample',
			'itemBodySelector': 'sample',
			'navSelector': 'sample',
			'displayOnlyLastPageSelector': 'sample',
			'sidebarSelector': 'sample',
		},
*/

		// AFFINGER5
		'affinger5': {
			'themeName': 'AFFINGER5',
			'contentSelector': '#contentInner',
			'itemSelector': '.post',
			'itemBodySelector': '.entry-content',
			'navSelector': '.p-navi',
			'displayOnlyLastPageSelector': '.sns',
			'sidebarSelector': '#side',
		},

		// AFFINGER
		'affinger': {
			'themeName': 'AFFINGER',
			'contentSelector': '#contentInner',
			'itemSelector': '.post',
			'itemBodySelector': '.entry-content',
			'navSelector': '.p-navi',
			'displayOnlyLastPageSelector': '.sns',
			'sidebarSelector': '#side',
		},

		// Base WP
		'base-wp': {
			'themeName': 'Base WP',
			'contentSelector': '#main',
			'itemSelector': '.post',
			'itemBodySelector': '.entry-content',
			'navSelector': '.navigation',
			'displayOnlyLastPageSelector': '.sns-group',
			'sidebarSelector': '#secondary',
		},

		// beans
		'tm-beans': {
			'themeName': 'beans',
			'contentSelector': '.tm-primary',
			'itemSelector': '.post',
			'itemBodySelector': 'div[itemprop=articleBody]',
			'navSelector': '.uk-pagination',
			'displayOnlyLastPageSelector': '.sns-group',
			'sidebarSelector': '.tm-secondary',
		},

		// Cocoon（コクーン）
		'cocoon-master': {
			'themeName': 'Cocoon（コクーン）',
			'contentSelector': '#main',
			'itemSelector': '.post',
			'itemBodySelector': '.entry-content',
			'navSelector': '#pager-post-navi',
			'displayOnlyLastPageSelector': '.sns-share,.entry-footer,.under-entry-content',
			'sidebarSelector': '#sidebar',
		},

		// Diver
		'diver': {
			'themeName': 'Diver',
			'contentSelector': '#single-main',
			'itemSelector': '.post',
			'itemBodySelector': '.content',
			'navSelector': '.navigation',
			'displayOnlyLastPageSelector': '.sns',
			'sidebarSelector': '#sidebar',
		},

		// Godios（ゴディオス）
		'godios': {
			'themeName': 'Godios（ゴディオス）',
			'contentSelector': '#entry',
			'itemSelector': '.post',
			'itemBodySelector': '#entry-content',
			'navSelector': '.navigation',
			'displayOnlyLastPageSelector': '.sns-group',
			'sidebarSelector': '#side',
		},

		// JIN
		'jin': {
			'themeName': 'JIN',
			'contentSelector': '#main-contents',
			'itemSelector': '.hentry',
			'itemBodySelector': '.entry-content',
			'navSelector': '#prev-next,.toppost-list-box-simple',
			'displayOnlyLastPageSelector': '.sns',
			'sidebarSelector': '#sidebar',
		},

		// Lightning
		'lightning': {
			'themeName': 'Lightning',
			'contentSelector': '#main',
			'itemSelector': '.post',
			'itemBodySelector': '.entry-body',
			'navSelector': '.next-prev',
			'displayOnlyLastPageSelector': '.entry-footer,.veu_socialSet,.veu_followSet,.veu_relatedPosts',
			'sidebarSelector': '.sub-section',
		},

		// LION BLOG
		'lionblog': {
			'themeName': 'LION BLOG',
			'contentSelector': '.l-main',
			'itemSelector': 'article',
			'itemBodySelector': '.content',
			'navSelector': '.prevNext',
			'displayOnlyLastPageSelector': '.socialList,.profile,.related',
			'sidebarSelector': '.l-sidebar',
		},

		// Luxeritas（ルクセリタス）
		'luxeritas': {
			'themeName': 'Luxeritas（ルクセリタス）',
			'contentSelector': '#core',
			'itemSelector': '>.clearfix',
			'itemBodySelector': '#pnavi,#related-box',
			'navSelector': '.navigation',
			'displayOnlyLastPageSelector': '.snsb',
			'sidebarSelector': '#sidebar',
		},

		// SANGO
		'sango-theme': {
			'themeName': 'SANGO',
			'contentSelector': '#main',
			'itemSelector': '.post',
			'itemBodySelector': '.entry-content',
			'navSelector': '.prnx_box',
			'displayOnlyLastPageSelector': '.sns',
			'sidebarSelector': '#sidebar',
		},

		// Sentry
		'sentry-master': {
			'themeName': 'Sentry',
			'contentSelector': '.content',
			'itemSelector': '.post',
			'itemBodySelector': '.entry-content',
			'navSelector': '.navigation',
			'displayOnlyLastPageSelector': '.sns-group',
			'sidebarSelector': '#sidebar',
		},

		// Simplicity2（シンプリシティ2）
		'simplicity2': {
			'themeName': 'Simplicity2（シンプリシティ2）',
			'contentSelector': '#main',
			'itemSelector': '.post',
			'itemBodySelector': '.entry-content',
			'navSelector': '.navigation',
			'displayOnlyLastPageSelector': '.sns-group',
			'sidebarSelector': '#sidebar',
		},

		// STORK19
		'jstork19': {
			'themeName': 'STORK19',
			'contentSelector': '#main',
			'itemSelector': '.post',
			'itemBodySelector': '.entry-content',
			'navSelector': '#np-post',
			'displayOnlyLastPageSelector': '.sns_btn__ul',
			'sidebarSelector': '#sidebar1',
		},

		// SWELL
		'swell': {
			'themeName': 'SWELL',
			'contentSelector': '#main_content',
			'itemSelector': '.l-mainContent__inner',
			'itemBodySelector': '.post_content',
			'navSelector': '#after_article',
			'displayOnlyLastPageSelector': '.w-singleBottom,.c-shareBtns,.p-articleFoot,#comments',
			'sidebarSelector': '#sidebar',
		},

		// THE SONIC
		'thesonic': {
			'themeName': 'THE SONIC',
			'contentSelector': '#main',
			'itemSelector': '.post',
			'itemBodySelector': '.entry-content',
			'navSelector': '.paging-card-swipe-box',
			'displayOnlyLastPageSelector': '.entry-footer',
			'sidebarSelector': '#sidebar',
		},

		// THE THOR
		'the-thor': {
			'themeName': 'THE THOR',
			'contentSelector': '.l-main',
			'itemSelector': '.dividerBottom',
			'itemBodySelector': '.postContents .content',
			'navSelector': '.prevNext',
			'displayOnlyLastPageSelector': '.socialList',
			'sidebarSelector': '.l-sidebar',
		},

		// Xeory Base（セオリーベース）
		'xeory_base': {
			'themeName': 'Xeory Base（セオリーベース）',
			'contentSelector': '#main',
			'itemSelector': '.post',
			'itemBodySelector': '.post-content',
			'navSelector': '.navigation',
			'displayOnlyLastPageSelector': '.bzb-sns-btn',
			'sidebarSelector': '#side',
		},

		// 賢威7
		'keni7': {
			'themeName': '賢威7',
			'contentSelector': '.main-conts',
			'itemSelector': '.type-post',
			'itemBodySelector': '.article-body',
			'navSelector': '.cont-nav',
			'displayOnlyLastPageSelector': '.sns',
			'sidebarSelector': '.sub-conts',
		},

		// 賢威8
		'keni8': {
			'themeName': '賢威8',
			'contentSelector': '.keni-main',
			'itemSelector': '.post',
			'itemBodySelector': '.article-body',
			'navSelector': '.cont-nav',
			'displayOnlyLastPageSelector': '.sns-btn_wrap',
			'sidebarSelector': '.keni-sub',
		},

	};

	$('select[name="ad_rpm_booster[wp_theme_id]"').change(function(){
		console.log( 'ad_rpm_booster[wp_theme_id]' );
		console.log( $(this).val() );

		var wp_theme_id = $(this).val();

		if (wp_theme_setting[wp_theme_id])
		{
			console.log( wp_theme_setting[wp_theme_id]['themeName'] );

			$('[name="ad_rpm_booster[contentSelector]"]').val( wp_theme_setting[wp_theme_id]['contentSelector'] );
			$('[name="ad_rpm_booster[itemSelector]"]').val( wp_theme_setting[wp_theme_id]['itemSelector'] );
			$('[name="ad_rpm_booster[itemBodySelector]"]').val( wp_theme_setting[wp_theme_id]['itemBodySelector'] );
			$('[name="ad_rpm_booster[navSelector]"]').val( wp_theme_setting[wp_theme_id]['navSelector'] );
			$('[name="ad_rpm_booster[displayOnlyLastPageSelector]"]').val( wp_theme_setting[wp_theme_id]['displayOnlyLastPageSelector'] );
			$('[name="ad_rpm_booster[sidebarSelector]"]').val( wp_theme_setting[wp_theme_id]['sidebarSelector'] );
		}
	});
	var $wp_theme_id = $('select[name="ad_rpm_booster[wp_theme_id]"');

	$.each(wp_theme_setting, function(index, theme){
		$wp_theme_id.append( $('<option>').val(index).text(theme['themeName']) );
	});


	var theme_id = $wp_theme_id.attr('data-value');
	if (theme_id)
	{
		console.log( theme_id );
		$wp_theme_id.val(theme_id);
		if ($wp_theme_id.is('[do-init]'))
		{
			console.log( 'do-init' );
			$wp_theme_id.change();
		}
	}
	// --------------------------------------------










	function rgb2hex(rgb) {
	    if (/^#[0-9A-F]{6}$/i.test(rgb)) return rgb;

	    rgb = rgb.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);
	    function hex(x) {
	        return ("0" + parseInt(x).toString(16)).slice(-2);
	    }
	    return "#" + hex(rgb[1]) + hex(rgb[2]) + hex(rgb[3]);
	}






})(window, jQuery);
